@import 'src/styles/core';

.story-list {
  width: 100%;
  min-width: 350px;
  border-collapse: collapse;
  font-size: 80%;

  @include atMedium {
    font-size: 100%;
  }

  th, td {
    padding: 10px;
    text-align: left;

    &:first-of-type {
      min-width: 350px;
    }

    &:last-of-type {
      min-width: 150px;
    }
  }

  th {
    font-weight: 300;
  }

  tr {
    border-bottom: 1px solid $color-light-grey;
    transition: background-color .3s;

    &:nth-child(even) {
      background-color: rgba(239, 243, 246, .3);
    }

  }

  tbody tr:hover {
    cursor: pointer;
    background-color: rgba(239, 243, 246, .7);
  }
}
